#### Previous topic

scipy.special.nbdtrc

#### Next topic

scipy.special.nbdtrik

# scipy.special.nbdtri

`scipy.special.``nbdtri`(k, n, y) = <ufunc 'nbdtri'>

  Inverse of `nbdtr` vs p.

  Returns the inverse with respect to the parameter p of y = nbdtr(k, n, p), the negative binomial cumulative distribution function.

  Parameters:

  k : array_like

  > The maximum number of allowed failures (nonnegative int).

  n : array_like

  > The target number of successes (positive int).

  y : array_like

  > The probability of k or fewer failures before n successes (float).

  Returns:

  p : ndarray

  > Probability of success in a single event (float) such that nbdtr(k, n, p) = y.

  See also

  `nbdtr`
    Cumulative distribution function of the negative binomial.
  `nbdtrik`
    Inverse with respect to k of nbdtr(k, n, p).
  `nbdtrin`
    Inverse with respect to n of nbdtr(k, n, p).

  Notes

  Wrapper for the Cephes [R469] routine `nbdtri`.

  References

  [R469] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html